/* 
   This file is public domain.

   The data is a matter of public record, and comes from
   http://unstats.un.org/      
 */


SET search_path TO sqltutor_data;

BEGIN;

DROP TABLE IF EXISTS staty CASCADE;

CREATE TABLE staty (
    stat     VARCHAR(40),
    region   VARCHAR(20),
    populace BIGINT,
    hdp      BIGINT
);

INSERT INTO staty (stat, region, populace, hdp) VALUES
   ('Afghanistan', 'Southern Asia', 29863000, 4987121000),
   ('Albania', 'Southern Europe', 3130000, 5993950000),
   ('Algeria', 'Northern Africa', 32854000, 67317846000),
   ('Andorra', 'Southern Europe', 70000, 1429680000),
   ('Angola', 'Middle Africa', 15941000, 11557225000),
   ('Antigua and Barbuda', 'Caribbean', 77000, 695772000),
   ('Azerbaijan', 'Western Asia', 8411000, 7174583000),
   ('Argentina', 'South America', 38747000, 130771125000),
   ('Austria', 'Western Europe', 8189000, 255390343000),
   ('Bahamas', 'Caribbean', 323000, 4671226000),
   ('Bahrain', 'Western Asia', 727000, 9118034000),
   ('Bangladesh', 'Southern Asia', 141822000, 54601470000),
   ('Armenia', 'Western Asia', 3016000, 2729480000),
   ('Barbados', 'Caribbean', 270000, 2664090000),
   ('Belgium', 'Western Europe', 10419000, 304828683000),
   ('Bhutan', 'Southern Asia', 2163000, 655389000),
   ('Bolivia', 'South America', 9182000, 8061796000),
   ('Bosnia and Herzegovina', 'Southern Europe', 3907000, 6301991000),
   ('Botswana', 'Southern Africa', 1765000, 7029995000),
   ('Brazil', 'South America', 186405000, 503293500000),
   ('Belize', 'Central America', 270000, 908010000),
   ('Solomon Islands', 'Melanesia', 478000, 271504000),
   ('Bulgaria', 'Eastern Europe', 7726000, 19569958000),
   ('Burundi', 'Eastern Africa', 7548000, 649128000),
   ('Belarus', 'Eastern Europe', 9755000, 17246840000),
   ('Cameroon', 'Middle Africa', 16322000, 13106566000),
   ('Canada', 'Northern America', 32268000, 874365996000),
   ('Cape Verde', 'Western Africa', 507000, 894855000),
   ('Sri Lanka', 'Southern Asia', 20743000, 18938359000),
   ('Chad', 'Middle Africa', 9749000, 2827210000),
   ('Chile', 'South America', 16295000, 73702285000),
   ('China', 'Eastern Asia', 1315844000, 1447428400000),
   ('Colombia', 'South America', 45600000, 79526400000),
   ('Comoros', 'Eastern Africa', 798000, 294462000),
   ('Congo', 'Middle Africa', 3999000, 4198950000),
   ('Costa Rica', 'Central America', 4327000, 18125803000),
   ('Croatia', 'Southern Europe', 4551000, 29117298000),
   ('Cuba', 'Caribbean', 11269000, 31124978000),
   ('Cyprus', 'Western Asia', 835000, 13391730000),
   ('Czech Republic', 'Eastern Europe', 10220000, 90283480000),
   ('Benin', 'Western Africa', 8439000, 4396719000),
   ('Denmark', 'Northern Europe', 5431000, 214508207000),
   ('Dominica', 'Caribbean', 71000, 232809000),
   ('Dominican Republic', 'Caribbean', 8895000, 21419160000),
   ('Ecuador', 'South America', 13228000, 27884624000),
   ('El Salvador', 'Central America', 6881000, 15840062000),
   ('Equatorial Guinea', 'Middle Africa', 504000, 2981160000),
   ('Ethiopia', 'Eastern Africa', 77431000, 7046221000),
   ('Eritrea', 'Eastern Africa', 4401000, 1342305000),
   ('Estonia', 'Northern Europe', 1330000, 8288560000),
   ('Fiji', 'Melanesia', 848000, 2341328000),
   ('Finland', 'Northern Europe', 5249000, 163081181000),
   ('France', 'Western Europe', 60496000, 1767814112000),
   ('French Guiana', 'South America', 187000, 1814835000),
   ('French Polynesia', 'Polynesia', 257000, 4604926000),
   ('Djibouti', 'Eastern Africa', 793000, 702598000),
   ('Gabon', 'Middle Africa', 1384000, 5750520000),
   ('Georgia', 'Western Asia', 4474000, 3444980000),
   ('Gambia', 'Western Africa', 1517000, 339808000),
   ('Germany', 'Western Europe', 82689000, 2409309393000),
   ('Ghana', 'Western Africa', 22113000, 7828002000),
   ('Kiribati', 'Micronesia', 84000, 65604000),
   ('Greece', 'Southern Europe', 11120000, 174472800000),
   ('Grenada', 'Caribbean', 103000, 438986000),
   ('Guadeloupe', 'Caribbean', 448000, 6504064000),
   ('Guatemala', 'Central America', 12599000, 24731837000),
   ('Guinea', 'Western Africa', 9402000, 3986448000),
   ('Guyana', 'South America', 751000, 758510000),
   ('Haiti', 'Caribbean', 8528000, 2558400000),
   ('Honduras', 'Central America', 7205000, 7060900000),
   ('China, Hong Kong SAR', 'Eastern Asia', 7041000, 159253338000),
   ('Hungary', 'Eastern Europe', 10098000, 84661632000),
   ('Iceland', 'Northern Europe', 295000, 10716760000),
   ('India', 'Southern Asia', 1103371000, 612370905000),
   ('Iraq', 'Western Asia', 28807000, 17111358000),
   ('Ireland', 'Northern Europe', 4148000, 161207872000),
   ('Israel', 'Western Asia', 6725000, 121729225000),
   ('Italy', 'Southern Europe', 58093000, 1482940011000),
   ('Côte d''Ivoire', 'Western Africa', 18154000, 16084444000),
   ('Jamaica', 'Caribbean', 2651000, 7428102000),
   ('Japan', 'Eastern Asia', 128085000, 4331706615000),
   ('Kazakhstan', 'Central Asia', 14825000, 26462625000),
   ('Jordan', 'Western Asia', 5703000, 10282509000),
   ('Kenya', 'Eastern Africa', 34256000, 15209664000),
   ('Kuwait', 'Western Asia', 2687000, 36653367000),
   ('Kyrgyzstan', 'Central Asia', 5264000, 1958208000),
   ('Lebanon', 'Western Asia', 3577000, 17967271000),
   ('Lesotho', 'Southern Africa', 1795000, 1066230000),
   ('Latvia', 'Northern Europe', 2307000, 10273071000),
   ('Liberia', 'Western Africa', 3283000, 594223000),
   ('Liechtenstein', 'Western Europe', 35000, 1522010000),
   ('Lithuania', 'Northern Europe', 3431000, 17851493000),
   ('Luxembourg', 'Western Europe', 465000, 26681235000),
   ('China, Macao SAR', 'Eastern Asia', 460000, 7823220000),
   ('Madagascar', 'Eastern Africa', 18606000, 5916708000),
   ('Malawi', 'Eastern Africa', 12884000, 2035672000),
   ('Maldives', 'Southern Asia', 329000, 743540000),
   ('Mali', 'Western Africa', 13518000, 4028364000),
   ('Malta', 'Southern Europe', 402000, 4739580000),
   ('Martinique', 'Caribbean', 396000, 5743584000),
   ('Mauritania', 'Western Africa', 3069000, 1169289000),
   ('Mauritius', 'Eastern Africa', 1245000, 5719530000),
   ('Mexico', 'Central America', 107029000, 636287405000),
   ('Monaco', 'Western Europe', 33000, 967725000),
   ('Mongolia', 'Eastern Asia', 2646000, 1222452000),
   ('Republic of Moldova', 'Eastern Europe', 4206000, 1930554000),
   ('Morocco', 'Northern Africa', 31478000, 46052314000),
   ('Mozambique', 'Eastern Africa', 19792000, 4393824000),
   ('Oman', 'Western Asia', 2567000, 18967563000),
   ('Namibia', 'Southern Africa', 2031000, 4685517000),
   ('Nauru', 'Micronesia', 10000, 34650000),
   ('Nepal', 'Southern Asia', 27133000, 6321989000),
   ('Netherlands', 'Western Europe', 16299000, 517639941000),
   ('Netherlands Antilles', 'Caribbean', 183000, 2426763000),
   ('New Caledonia', 'Melanesia', 237000, 3969987000),
   ('Vanuatu', 'Melanesia', 211000, 240540000),
   ('Nicaragua', 'Central America', 5487000, 4115250000),
   ('Niger', 'Western Africa', 13957000, 3168239000),
   ('Nigeria', 'Western Africa', 131530000, 51296700000),
   ('Norway', 'Northern Europe', 4620000, 225830220000),
   ('Marshall Islands', 'Micronesia', 57000, 120156000),
   ('Palau', 'Micronesia', 20000, 123480000),
   ('Pakistan', 'Southern Asia', 157935000, 78651630000),
   ('Panama', 'Central America', 3232000, 10988800000),
   ('Papua New Guinea', 'Melanesia', 5887000, 3396799000),
   ('Paraguay', 'South America', 6158000, 6164158000),
   ('Peru', 'South America', 27968000, 62592384000),
   ('Poland', 'Eastern Europe', 38530000, 206328150000),
   ('Portugal', 'Southern Europe', 10495000, 153699275000),
   ('Guinea-Bissau', 'Western Africa', 1586000, 329888000),
   ('Puerto Rico', 'Caribbean', 3955000, 82311460000),
   ('Qatar', 'Western Asia', 813000, 28198905000),
   ('Romania', 'Eastern Europe', 21711000, 55363050000),
   ('Russian Federation', 'Eastern Europe', 143202000, 433329252000),
   ('Rwanda', 'Eastern Africa', 9038000, 1672030000),
   ('Saint Kitts and Nevis', 'Caribbean', 46000, 410642000),
   ('Saint Lucia', 'Caribbean', 161000, 742371000),
   ('San Marino', 'Southern Europe', 27000, 1036719000),
   ('Sao Tome and Principe', 'Middle Africa', 157000, 57148000),
   ('Saudi Arabia', 'Western Asia', 24573000, 210369453000),
   ('Senegal', 'Western Africa', 11658000, 7472778000),
   ('Serbia', 'Southern Europe', 10503000, 19357029000),
   ('Seychelles', 'Eastern Africa', 81000, 713934000),
   ('Sierra Leone', 'Western Africa', 5525000, 1088425000),
   ('Slovakia', 'Eastern Europe', 5401000, 32508619000),
   ('Slovenia', 'Southern Europe', 1967000, 27205577000),
   ('Somalia', 'Eastern Africa', 8228000, 1275340000),
   ('South Africa', 'Southern Africa', 47432000, 168431032000),
   ('Zimbabwe', 'Eastern Africa', 13010000, 2471900000),
   ('Spain', 'Southern Europe', 43064000, 879539136000),
   ('Sudan', 'Northern Africa', 36233000, 16630947000),
   ('Suriname', 'South America', 449000, 1005760000),
   ('Swaziland', 'Southern Africa', 1032000, 1705896000),
   ('Sweden', 'Northern Europe', 9041000, 306715925000),
   ('Switzerland', 'Western Europe', 7252000, 315360472000),
   ('Syrian Arab Republic', 'Western Asia', 19043000, 28507371000),
   ('Tajikistan', 'Central Asia', 6507000, 1620243000),
   ('Togo', 'Western Africa', 6145000, 2316665000),
   ('Tonga', 'Polynesia', 102000, 165852000),
   ('Trinidad and Tobago', 'Caribbean', 1305000, 9927135000),
   ('United Arab Emirates', 'Western Asia', 4496000, 99496480000),
   ('Tunisia', 'Northern Africa', 10102000, 25871222000),
   ('Turkey', 'Western Asia', 73193000, 250173674000),
   ('Turkmenistan', 'Central Asia', 4833000, 14875974000),
   ('Tuvalu', 'Polynesia', 10000, 22850000),
   ('Uganda', 'Eastern Africa', 28816000, 6973472000),
   ('Ukraine', 'Eastern Europe', 46481000, 45318975000),
   ('Egypt', 'Northern Africa', 74033000, 78623046000),
   ('United Kingdom', 'Northern Europe', 59668000, 1811222140000),
   ('United States', 'Northern America', 298213000, 11011216812000),
   ('Burkina Faso', 'Western Africa', 13228000, 3889032000),
   ('Uruguay', 'South America', 3463000, 11337862000),
   ('Uzbekistan', 'Central Asia', 26593000, 8988434000),
   ('Venezuela', 'South America', 26749000, 80086506000),
   ('Samoa', 'Polynesia', 185000, 334295000),
   ('Yemen', 'Western Asia', 20975000, 10151900000),
   ('Zambia', 'Eastern Africa', 11668000, 4643864000),
   ('Micronesia', 'Micronesia', 110000, 250910000),
   ('Macedonia', 'Southern Europe', 2034000, 4525650000),
   ('Palestinian Territory', 'Western Asia', 3702000, NULL),
   ('Korea', 'Eastern Asia', 22488000, 11109072000),
   ('Korea', 'Eastern Asia', 47817000, 528808203000),
   ('Iran', 'Southern Asia', 69515000, 144521685000),
   ('St. Vincent/Grenadines', 'Caribbean', 119000, 373303000),
   ('Central African Rep.', 'Middle Africa', 4038000, 1312350000),
   ('Tanzania', 'Eastern Africa', 38329000, 10387159000),
   ('Congo', 'Middle Africa', 57549000, 6157743000),
   ('Libya', 'Northern Africa', 5853000, 21304920000);

COMMIT;

